Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class Tim

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.Date
                      org.basex.query.item.Tim

    public final class Tim

extends Date

Time item.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.item.Date
`df, xc`

Fields inherited from class org.basex.query.item.Item
`type`

Constructor Summary
`Tim(byte[] tim)` Constructor.
`Tim(Tim d, DTd a, boolean p)` Constructor.

Method Summary

Methods inherited from class org.basex.query.item.Date
`days, diff, eq, java, seconds, str, toString`

Methods inherited from class org.basex.query.item.Item
`atomic, bool, castErr, comp, d, dbl, dec, duplicates, ebv, flt, hash, i, iter, iter, itr, n, name, node, plan, removable, returned, s, score, score, serialize, test, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs, size`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tim

    public Tim(Tim d,
               DTd a,
               boolean p)
        throws QueryException

  Constructor.

  Parameters:
    `d` - date
    `a` - duration to be added/subtracted
    `p` - plus/minus flag
  Throws:
    `QueryException` - evaluation exception

### Tim

    public Tim(byte[] tim)
        throws QueryException

  Constructor.

  Parameters:
    `tim` - time
  Throws:
    `QueryException` - evaluation exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD